%define name	twilight
%define version 0.2.02
%define release alt2.2
%define stage 	cvs
%define date	20040205
%define nqver 1.09
%define qwver 2.40

Name: %name
Version: %version
Release: %release
Url: http://twilight.sf.net/
Source0: %name-%stage-%date.tar.bz2
Source1: quake.png
Group: Games/Arcade
License: GPL/BSDish
Summary: First person 3D game - classic version

# Automatically added by buildreq on Fri Mar 19 2004 (-ba)
BuildRequires: XFree86-libs esound hostinfo libSDL-devel

%description
Project Twilight is a game project based on the Quake(R) engine source
code using OpenGL.  It is greatly enhanced over Id Software's original,
but is in no way supported by Id Software, Inc.
This package contains the classic version Project Twilight, which is
fully compatible with Id software's last official versions of Quake(R)
and QuakeWorld(R).

%package gamedata
Summary: Project Twilight game data
Group: Games/Arcade
Provides: %name-gamedata
Obsoletes: %name
Conflicts: %name

%description gamedata
Project Twilight is a game project based on the Quake(R) engine source
code using OpenGL.  It is greatly enhanced over Id Software's original,
but is in no way supported by Id Software, Inc.
This package contains the classic version Project Twilight, which is
fully compatible with Id software's last official versions of Quake(R)
and QuakeWorld(R).

%package qw-server
Summary: Project Twilight QuakeWorld server
Group: Games/Arcade
Requires: libSDL >= 1.2.0
BuildPreReq: libSDL-devel >= 1.2.0
Provides: quakeworld-server = %qwver

%description qw-server
Project Twilight is a game project based on the Quake(R) engine source
code using OpenGL.  It is greatly enhanced over Id Software's original,
but is in no way supported by Id Software, Inc.
This package contains the classic version Project Twilight, which is
fully compatible with Id software's last official versions of Quake(R)
and QuakeWorld(R).

%package clients
Summary: Project Twilight QW and NQ clients
Group: Games/Arcade
Requires: libSDL >= 1.2.0, %name-gamedata
BuildPreReq: libSDL-devel >= 1.2.0
Provides: quake-client = %nqver
Provides: quakeworld-client = %qwver

%description clients
Project Twilight is a game project based on the Quake(R) engine source
code using OpenGL.  It is greatly enhanced over Id Software's original,
but is in no way supported by Id Software, Inc.
This package contains the classic version Project Twilight, which is
fully compatible with Id software's last official versions of Quake(R)
and QuakeWorld(R).

%prep
%setup -q -n %name
find . -type d -a -name CVS -print0 | xargs -0 %__rm -rf

%__aclocal
%__autoheader
%__automake -a
%__autoconf

%build
%undefine __libtoolize
%define _configure_target --host %_target_platform
%configure --with-sharepath=%_gamesdatadir/%name \
	   --with-userpath=~/.%name \
	   --with-shareconf=%_sysconfdir/%name.conf \
	   --with-userconf=~/.%{name}rc
%make_build

%install
%makeinstall
# strip out unwanted docs
rm -rf doc/olddocs doc/Makefile*
%__mkdir -p %buildroot%_gamesdatadir/%name/id1
%__cp -r embedded_data/* %buildroot%_gamesdatadir/%name
mkdir -p  %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name-nq
?package(%name): command="%_bindir/%name-nq" \
	section="Games/Arcade" \
	title="Twilight NQ" \
	needs="X11"  \
	icon="quake.png" \
        longtitle="Twilight Project NQ"
EOF
cat << EOF > %buildroot%_menudir/%name-qw
?package(%name): command="%_bindir/%name-qw" \
	section="Games/Arcade" \
	title="Twilight QW" \
	needs="X11"  \
	icon="quake.png" \
        longtitle="Twilight Project QW"
EOF
mkdir -p  %buildroot%_iconsdir
cp %SOURCE1 %buildroot%_iconsdir/quake.png

%post clients
%update_menus

%postun clients
%clean_menus

%files gamedata
%doc doc/*.txt
%dir %_gamesdatadir/%name/*
%dir %_gamesdatadir/%name/id1
%dir %_gamesdatadir/%name/gfx/*
%dir %_gamesdatadir/%name/progs/*
%dir %_gamesdatadir/%name/sound/misc/*

%files clients
%_bindir/twilight-nq
%_bindir/twilight-qw
%_menudir/%name-nq
%_menudir/%name-qw
%_iconsdir/quake.png

%files qw-server
%_bindir/twilight-qwsv

%changelog
* Fri Apr 02 2004 LAKostis <lakostis at altlinux dot ru> 0.2.02-alt2.2
- prep/build stage cleanup.

* Thu Feb 14 2004 LAKostis <lakostis at altlinux dot ru> 0.2.02-alt2.1
- make separate gamedata package.
- fix wrong gamedata location.

* Thu Feb 12 2004 LAKostis <lakostis at altlinux dot ru> 0.2.02-alt2
- new cvs snapshot.

* Thu Sep 18 2003 LAKostis <lakostis at altlinux dot ru> 0.2.02-alt1.1.cvs
- add embedded_data/* as gamedata.

* Thu Sep 18 2003 LAKostis <lakostis at altlinux dot ru> 0.2.02-alt1.cvs
- rebuild from latest cvs snapshot.

* Thu Mar 11 2003 LAKostis <lakostis@altlinux.ru> 0.2.00-alt0.3RC2
- CVS sync.

* Sun Sep 15 2002 L.A. Kostis <lakostis@pisem.net> 0.1.99-alt0.2.cvs
- Initial build for ALTLinux distribution

* Tue Oct  2 2001 Mathieu Olivier <molivier@users.sourceforge.net>
- Changed summary and description to the ones used in the Debian package.
- Doc: added TODO, removed ChangeLog and INSTALL
- BuildRoot now uses "_tmppath"

* Thu Sep 13 2001 Mathieu Olivier <molivier@users.sourceforge.net>
- Creation
